# eric7.Project.TranslationPropertiesDialog

Module implementing the Translations Properties dialog.

### Global Attributes

None

### Classes

TranslationPropertiesDialog | Class implementing the Translations Properties dialog.

### Functions

None

## TranslationPropertiesDialog

Class implementing the Translations Properties dialog.

### Derived from

QDialog, Ui_TranslationPropertiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

TranslationPropertiesDialog | Constructor
initDialog | Public method to initialize the dialogs data.
initFilters | Public method to initialize the filters.
on_addExceptionButton_clicked | Private slot to add the shown exception to the listwidget.
on_deleteExceptionButton_clicked | Private slot to delete the currently selected entry of the listwidget.
on_exceptDirButton_clicked | Private slot to select a file to exempt from translation.
on_exceptFileButton_clicked | Private slot to select a file to exempt from translation.
on_exceptionEdit_textChanged | Private slot to handle the textChanged signal of the exception edit.
on_exceptionsList_currentRowChanged | Private slot to handle the currentRowChanged signal of the exceptions list.
on_transBinPathPicker_pathSelected | Private slot handling the selection of a binary translations path.
on_transPatternPicker_pathSelected | Private slot handling the selection of a translation path.
on_transPatternPicker_textChanged | Private slot to check the translation pattern for correctness.
storeData | Public method to store the entered/modified data.

### Static Methods

None

#### TranslationPropertiesDialog (Constructor)

TranslationPropertiesDialog(project, new, parent)

Constructor

project
  reference to the project object
new
  flag indicating the generation of a new project
parent
  parent widget of this dialog (QWidget)

#### TranslationPropertiesDialog.initDialog

initDialog()

Public method to initialize the dialogs data.

#### TranslationPropertiesDialog.initFilters

initFilters()

Public method to initialize the filters.

#### TranslationPropertiesDialog.on_addExceptionButton_clicked

on_addExceptionButton_clicked()

Private slot to add the shown exception to the listwidget.

#### TranslationPropertiesDialog.on_deleteExceptionButton_clicked

on_deleteExceptionButton_clicked()

Private slot to delete the currently selected entry of the listwidget.

#### TranslationPropertiesDialog.on_exceptDirButton_clicked

on_exceptDirButton_clicked()

Private slot to select a file to exempt from translation.

#### TranslationPropertiesDialog.on_exceptFileButton_clicked

on_exceptFileButton_clicked()

Private slot to select a file to exempt from translation.

#### TranslationPropertiesDialog.on_exceptionEdit_textChanged

on_exceptionEdit_textChanged(txt)

Private slot to handle the textChanged signal of the exception edit.

txt
  the text of the exception edit (string)

#### TranslationPropertiesDialog.on_exceptionsList_currentRowChanged

on_exceptionsList_currentRowChanged(row)

Private slot to handle the currentRowChanged signal of the exceptions list.

row
  the current row (integer)

#### TranslationPropertiesDialog.on_transBinPathPicker_pathSelected

on_transBinPathPicker_pathSelected(path)

Private slot handling the selection of a binary translations path.

path (str)
  selected path

#### TranslationPropertiesDialog.on_transPatternPicker_pathSelected

on_transPatternPicker_pathSelected(path)

Private slot handling the selection of a translation path.

path (str)
  selected path

#### TranslationPropertiesDialog.on_transPatternPicker_textChanged

on_transPatternPicker_textChanged(txt)

Private slot to check the translation pattern for correctness.

txt
  text of the transPatternPicker line edit (string)

#### TranslationPropertiesDialog.storeData

storeData()

Public method to store the entered/modified data.

Up